geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Bohn <joe.b...@earthlink.net>
Subject Re: [VOTE] Release OpenJPA-2.0.0-beta plugins for Geronimo 2.1.3 - 2.1.5 servers - RC3
Date Wed, 17 Feb 2010 14:23:51 GMT
Thanks for pulling this together Donald.

I deployed this plugin into a 2.1.4 server image and attempted to 
install some of the Geronimo samples (last released for Geronimo 2.1.2). 
  The deployment of the samples failed because of a missing dependency 
on the openjpa 2.1.2 car.   It seems that you included aliases mapping 
to the new car for openjpa 2.1.3 through 2.1.5-SNAPSHOT ... but for some 
reason didn't include one for 2.1.2.  This is unfortunate because the 
only released samples we have for 2.1.* have 2.1.2 dependencies and as a 
result the sample 2.1.2 plugins cannot be installed in a 2.1.* image 
after upgrading to openjpa2.  Would it be possible to spin a new image 
that includes the 2.1.2 alias entries?

Joe


Donald Woods wrote:
> I've created a third release candidate of a set of plugins that can be
> used to upgrade an existing Geronimo 2.1.3, 2.1.4 or 2.1.5-SNAPSHOT
> server from OpenJPA 1.x to the new OpenJPA 2.0.0-beta, so users can
> start experimenting with a JPA 2.0 certified codebase.
> 
> You can install the plugins by using the console Plugin portlet and
> Updating the existing plugin repos to see the g.a.o/plugins/openjpa2 or
> you can try using the following mirror catalog site:
> http://people.apache.org/~dwoods/openjpa/
> 
> 
> Staging repo:
> https://repository.apache.org/content/repositories/orgapachegeronimo-001/
> 
> Source tag:
> https://svn.apache.org/repos/asf/geronimo/plugins/openjpa2/tags/openjpa2-2.1.3-beta/
> 
> Source tar/zips:
> https://repository.apache.org/content/repositories/orgapachegeronimo-001/org/apache/geronimo/plugins/openjpa2/2.1.3-beta/
> 
> For plugin installation instructions, see:
> https://svn.apache.org/repos/asf/geronimo/plugins/openjpa2/tags/openjpa2-2.1.3-beta/README.txt
> Note: There are 2 plugins at version 2.1.3-beta to install (openjpa2 and
> persistence-deployer-jpa20.)  You will need to restart your server
> before running or deploying apps that need JPA so the artifactAlias
> entries will take affect and replace already loaded OpenJPA 1.x and spec
> jars.
> The latest version of Daytrader 2.1.3 that can be used for testing can
> be installed as a plugin from:
> http://people.apache.org/~dwoods/daytrader-2.1.3/
> 
> 
> Vote will be open for 72 hours.
> 
> [ ] +1  approve
> [ ] +0  no opinion
> [ ] -1  disapprove (and reason why)
> 
> 
> Thanks,
> Donald
> 
> 


Mime
View raw message